### Method

# Cogl Texture get_gl_texture

#### Declaration [src]

    gboolean
    cogl_texture_get_gl_texture (
      CoglTexture* texture,
      unsigned int* out_gl_handle,
      unsigned int* out_gl_target
    )

#### Description [src]

Queries the GL handles for a GPU side texture through its `CoglTexture`.

If the texture is spliced the data for the first sub texture will be queried.

#### Parameters

`out_gl_handle`

  Type: `unsigned int*`

  Pointer to return location for the textures GL handle, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

`out_gl_target`

  Type: `unsigned int*`

  Pointer to return location for the GL target type, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `gboolean`

`TRUE` if the handle was successfully retrieved, `FALSE` if the handle was invalid.